Bug 13225 - Z39.50 result Card View doesn't work for UNIMARC
Summary: Z39.50 result Card View doesn't work for UNIMARC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Frédéric Demians
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-07 18:04 UTC by Frédéric Demians
Modified: 2015-06-04 23:32 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 13225 Z39.50 result Card View doesn't work for UNIMARC (2.74 KB, patch)
2014-11-07 18:13 UTC, Frédéric Demians
Details | Diff | Splinter Review
Card View Before (17.45 KB, image/png)
2014-11-07 18:14 UTC, Frédéric Demians
Details
Card View After (28.90 KB, image/png)
2014-11-07 18:14 UTC, Frédéric Demians
Details
Bug 13225 Z39.50 result Card View doesn't work for UNIMARC (2.79 KB, patch)
2014-11-09 01:56 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 13225 Z39.50 result Card View doesn't work for UNIMARC (2.91 KB, patch)
2014-11-09 10:58 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Demians 2014-11-07 18:04:57 UTC
To see the problem:

- On an Unimrc Koha, go to Catalaging > New from Z39.50
- Do a search
- On result page, click Card link on a biblio record
- The Card View display nothing of interest
Comment 1 Frédéric Demians 2014-11-07 18:13:28 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2014-11-07 18:14:30 UTC
Created attachment 33387 [details]
Card View Before
Comment 3 Frédéric Demians 2014-11-07 18:14:50 UTC
Created attachment 33388 [details]
Card View After
Comment 4 Chris Cormack 2014-11-09 01:56:49 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2014-11-09 10:58:22 UTC
Created attachment 33394 [details] [review]
[PASSED QA] Bug 13225 Z39.50 result Card View doesn't work for UNIMARC

This patch fix UNIMARC Card View on Z39.50 result page. The valid XSL was
there: UNIMARC_compact.xml, but were not selected (a regression). This patch
use themelanguage to access XSL file, anticipating a intranet new theme in
future.

TO TEST: Before applying this patch, do a Z39.50 search, and try to display a
biblio record card view: meaningless. Retry after applying this patch.

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Tested in a UNIMARC installation, works as described.
Comment 6 Tomás Cohen Arazi 2014-11-10 15:02:32 UTC
Patch pushed to master.

Thanks Frédéric!